### Function

# GExiv2 Metadata try_get_xmp_namespace_for_tag

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    char*
    gexiv2_metadata_try_get_xmp_namespace_for_tag (
      const char* tag,
      GError** error
    )

#### Description [src]

Look up the URI for the namespace for `tag`.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_try_get_xmp_namespace_for_tag()` instead.

#### Parameters

`tag`

  Type: `const char*`

  Full tag name (e.g. “Xmp.dc.subject”) or XMP namespace identifier (e.g. “dc”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

`NULL` if there was no namespace registered for the tag, the URI of the namespace otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.